1. Computing

Install Alongside Ruby 1.8.x--Upgrading to Ruby 1.9.1

By

You'll need to pass a single extra option to the configure script in order for this to work. The --program-suffiix=19 command will make all executables produced by the build process have 19 appended to them. For example, it won't produce an executable called ruby, it'll produce an executable called ruby19. Doing this allows you to install Ruby 1.9.1 along side a normal Ruby installation provided by your distro and not distub it in any way.

$ ./configure --program-suffix=19

You'll see a lot of text scroll by. If there are any errors, they'll be stated at the end of the output. Assuming there are no errors, move on to the next step. If there are any errors, feel free to post them in the forums

  1. About.com
  2. Computing
  3. Ruby
  4. Tutorials
  5. Installing Ruby
  6. Install Alongside Ruby 1.8.x--Upgrading to Ruby 1.9.1

©2014 About.com. All rights reserved.